#ifndef MYGRAPHIC_H
#define MYGRAPHIC_H
#include <opencv2/core/core.hpp>
#include <opencv2/highgui/highgui.hpp>
#include <opencv2/opencv.hpp>


void draw_axes(cv::Mat* img, std::vector<cv::Point2f>* imgpts);
void draw_pnts(cv::Mat* img, std::vector<cv::Point2f>* imgpts);
void project_xyzAxes(cv::Mat* img, cv::Mat* rvecs, cv::Mat* tvecs, cv::Mat* mtx, cv::Mat* dist, std::vector<cv::Point3f> axis);
void project_pnts(cv::Mat* img, cv::Mat* rvecs, cv::Mat* tvecs, cv::Mat* mtx, cv::Mat* dist, std::vector<cv::Point3f>* pnts, std::vector<cv::Point2f>* imgpts);
void project_tip(cv::Mat* mtx, cv::Mat* dist, cv::Mat *tip, std::vector<cv::Point2f>* imgpts);

#endif
